GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_channel_args Struct Reference

An array of arguments that can be passed around. More...

`#include <grpc.h>`

## Data Fields
size_t | num_args
grpc_arg * | args

## Detailed Description

An array of arguments that can be passed around.

Used to set optional channel-level configuration. These configuration options are modelled as key-value pairs as defined by grpc_arg; keys are strings to allow easy backwards-compatible extension by arbitrary parties. All evaluation is performed at channel creation time (i.e. the values in this structure need only live through the creation invocation).

## Field Documentation

grpc_arg* grpc_channel_args::args

size_t grpc_channel_args::num_args

The documentation for this struct was generated from the following file:

- include/grpc/grpc.h